diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MeasurementUnit.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MeasurementUnit.java
index d8322620b2..3bbbd7f752 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MeasurementUnit.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MeasurementUnit.java
@@ -16,6 +16,7 @@ import java.util.UUID;
 
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 
 import org.apache.log4j.Logger;
@@ -33,7 +34,6 @@ import javax.xml.bind.annotation.XmlType;
  * Celsius".
  * 
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:34
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -49,12 +49,12 @@ public class MeasurementUnit extends DefinedTermBase<MeasurementUnit> {
 	
 	protected static Map<UUID, MeasurementUnit> termMap = null;		
 
-	/** 
-	 * Class constructor: creates a new empty measurement unit instance.
-	 * 
-	 * @see #MeasurementUnit(String, String, String)
-	 */
-	public MeasurementUnit(){
+//********************************** Constructor *******************************************************************/	
+
+	//for hibernate use only
+	@Deprecated
+	protected MeasurementUnit(){
+		super(TermType.MeasurementUnit);
 	}
 
 	/** 
@@ -69,8 +69,8 @@ public class MeasurementUnit extends DefinedTermBase<MeasurementUnit> {
 	 * 						 new measurement unit to be created
 	 * @see 				 #NewInstance()
 	 */
-	public MeasurementUnit(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
+	private MeasurementUnit(String term, String label, String labelAbbrev) {
+		super(TermType.MeasurementUnit, term, label, labelAbbrev);
 	}
 
 	
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MediaKey.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MediaKey.java
index c02379c75b..49fe0d8414 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MediaKey.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MediaKey.java
@@ -34,6 +34,7 @@ import org.hibernate.annotations.CascadeType;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.Representation;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.media.Media;
@@ -65,7 +66,6 @@ import eu.etaxonomy.cdm.model.taxon.Taxon;
 @Audited
 public class MediaKey extends Media implements IIdentificationKey{
 	private static final long serialVersionUID = -29095811051894471L;
-	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(MediaKey.class);
 	
 	@XmlElementWrapper(name = "CoveredTaxa")
@@ -105,7 +105,7 @@ public class MediaKey extends Media implements IIdentificationKey{
 	@ManyToMany(fetch = FetchType.LAZY)
 	@JoinTable(name="MediaKey_Scope")
 	@NotNull
-	private Set<Scope> scopeRestrictions = new HashSet<Scope>();
+	private Set<DefinedTerm> scopeRestrictions = new HashSet<DefinedTerm>();
 	
 	@XmlElementWrapper( name = "KeyRepresentations")
 	@XmlElement( name = "KeyRepresentation")
@@ -276,9 +276,9 @@ public class MediaKey extends Media implements IIdentificationKey{
 	 * Returns the set of {@link Scope scope restrictions} corresponding to
 	 * <i>this</i> identification key 
 	 */
-	public Set<Scope> getScopeRestrictions() {
+	public Set<DefinedTerm> getScopeRestrictions() {
 		if(scopeRestrictions == null) {
-			this.scopeRestrictions = new HashSet<Scope>();
+			this.scopeRestrictions = new HashSet<DefinedTerm>();
 		}
 		return scopeRestrictions;
 	}
@@ -290,7 +290,7 @@ public class MediaKey extends Media implements IIdentificationKey{
 	 * @param	scopeRestriction	the scope restriction to be added to <i>this</i> identification key
 	 * @see    	   		#getScopeRestrictions()
 	 */
-	public void addScopeRestriction(Scope scopeRestriction) {
+	public void addScopeRestriction(DefinedTerm scopeRestriction) {
 		this.scopeRestrictions.add(scopeRestriction);
 	}
 	
@@ -302,7 +302,7 @@ public class MediaKey extends Media implements IIdentificationKey{
 	 * @see     		#getScopeRestrictions()
 	 * @see     		#addScopeRestriction(Scope)
 	 */
-	public void removeScopeRestriction(Scope scopeRestriction) {
+	public void removeScopeRestriction(DefinedTerm scopeRestriction) {
 		this.scopeRestrictions.remove(scopeRestriction);
 	}
 	
@@ -338,8 +338,8 @@ public class MediaKey extends Media implements IIdentificationKey{
 				result.addKeyRepresentation(rep);
 			}
 			
-			result.scopeRestrictions = new HashSet<Scope>();
-			for (Scope scope: this.scopeRestrictions){
+			result.scopeRestrictions = new HashSet<DefinedTerm>();
+			for (DefinedTerm scope: this.scopeRestrictions){
 				result.addScopeRestriction(scope);
 			}
 			
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MultiAccessKey.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MultiAccessKey.java
index bbaf547b20..3b2564e20f 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MultiAccessKey.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MultiAccessKey.java
@@ -32,6 +32,7 @@ import org.apache.log4j.Logger;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 
@@ -100,7 +101,7 @@ public class MultiAccessKey extends WorkingSet implements IIdentificationKey{
 	@ManyToMany(fetch = FetchType.LAZY)
 	@JoinTable(name="MultiAccessKey_Scope")
 	@NotNull
-	private Set<Scope> scopeRestrictions = new HashSet<Scope>();
+	private Set<DefinedTerm> scopeRestrictions = new HashSet<DefinedTerm>();
 	
 	/** 
 	 * Class constructor: creates a new empty multi-access key instance.
@@ -227,9 +228,9 @@ public class MultiAccessKey extends WorkingSet implements IIdentificationKey{
 	 * Returns the set of {@link Scope scope restrictions} corresponding to
 	 * <i>this</i> identification key 
 	 */
-	public Set<Scope> getScopeRestrictions() {
+	public Set<DefinedTerm> getScopeRestrictions() {
 		if(scopeRestrictions == null) {
-			this.scopeRestrictions = new HashSet<Scope>();
+			this.scopeRestrictions = new HashSet<DefinedTerm>();
 		}
 		return scopeRestrictions;
 	}
@@ -241,7 +242,7 @@ public class MultiAccessKey extends WorkingSet implements IIdentificationKey{
 	 * @param	scopeRestriction	the scope restriction to be added to <i>this</i> identification key
 	 * @see    	   		#getScopeRestrictions()
 	 */
-	public void addScopeRestriction(Scope scopeRestriction) {
+	public void addScopeRestriction(DefinedTerm scopeRestriction) {
 		this.scopeRestrictions.add(scopeRestriction);
 	}
 	
@@ -253,7 +254,7 @@ public class MultiAccessKey extends WorkingSet implements IIdentificationKey{
 	 * @see     		#getScopeRestrictions()
 	 * @see     		#addScopeRestriction(Scope)
 	 */
-	public void removeScopeRestriction(Scope scopeRestriction) {
+	public void removeScopeRestriction(DefinedTerm scopeRestriction) {
 		this.scopeRestrictions.remove(scopeRestriction);
 	}
 	
@@ -283,8 +284,8 @@ public class MultiAccessKey extends WorkingSet implements IIdentificationKey{
 				result.addGeographicalScope(area);
 			}
 			
-			result.scopeRestrictions = new HashSet<Scope>();
-			for (Scope scope: this.scopeRestrictions){
+			result.scopeRestrictions = new HashSet<DefinedTerm>();
+			for (DefinedTerm scope: this.scopeRestrictions){
 				result.addScopeRestriction(scope);
 			}
 			
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/NaturalLanguageTerm.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/NaturalLanguageTerm.java
index 7349daecfd..1eed7616be 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/NaturalLanguageTerm.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/NaturalLanguageTerm.java
@@ -19,6 +19,7 @@ import org.hibernate.search.annotations.Indexed;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.Representation;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 
 @XmlAccessorType(XmlAccessType.PROPERTY)
@@ -44,6 +45,27 @@ public class NaturalLanguageTerm extends DefinedTermBase<NaturalLanguageTerm> {
 	
 	private static final UUID uuidTo = UUID.fromString("9087cdcd-8b08-4082-a1de-34c9ba9fb494");
 	
+	
+	public static  NaturalLanguageTerm NewInstance(String term, String label, String labelAbbrev) {
+		return new NaturalLanguageTerm(term, label, labelAbbrev);
+	}
+
+	
+//********************************** Constructor *******************************************************************/	
+
+	//for hibernate use only
+	@Deprecated
+	protected NaturalLanguageTerm() {
+		super(TermType.NaturalLanguageTerm);
+	}
+	
+	private NaturalLanguageTerm(String term, String label, String labelAbbrev) {
+		super(TermType.NaturalLanguageTerm, term, label, labelAbbrev);
+	}
+	
+//********************************** Methods *******************************************************************/	
+	
+	
 	@Override
 	protected void setDefaultTerms(
 			TermVocabulary<NaturalLanguageTerm> termVocabulary) {
@@ -52,14 +74,6 @@ public class NaturalLanguageTerm extends DefinedTermBase<NaturalLanguageTerm> {
 
 	}
 	
-	public NaturalLanguageTerm() {
-	}
-	
-	public NaturalLanguageTerm(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
-	}
-	
-	
 	/* (non-Javadoc)
 	 * @see eu.etaxonomy.cdm.model.common.DefinedTermBase#resetTerms()
 	 */
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKey.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKey.java
index 8998ebfafe..6e4e46274c 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKey.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKey.java
@@ -38,6 +38,7 @@ import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.location.NamedArea;
@@ -63,8 +64,13 @@ import eu.etaxonomy.cdm.strategy.generate.PolytomousKeyGenerator;
  * @version 2.0 (08.11.2010)
  */
 @XmlAccessorType(XmlAccessType.FIELD)
-@XmlType(name = "PolytomousKey", propOrder = { "coveredTaxa", "taxonomicScope",
-		"geographicalScope", "scopeRestrictions", "root" })
+@XmlType(name = "PolytomousKey", propOrder = { 
+		"coveredTaxa", 
+		"taxonomicScope",
+		"geographicalScope", 
+		"scopeRestrictions", 
+		"root",
+		"startNumber"})
 @XmlRootElement(name = "PolytomousKey")
 @Entity
 @Indexed(index = "eu.etaxonomy.cdm.model.media.FeatureTree")
@@ -108,12 +114,16 @@ public class PolytomousKey extends IdentifiableEntity<PolytomousKeyDefaultCacheS
 	@ManyToMany(fetch = FetchType.LAZY)
 	@JoinTable(name = "PolytomousKey_Scope")
 	@NotNull
-	private Set<Scope> scopeRestrictions = new HashSet<Scope>();
+	private Set<DefinedTerm> scopeRestrictions = new HashSet<DefinedTerm>();
 
 	@XmlElement(name = "Root")
 	@OneToOne(fetch = FetchType.LAZY)
 	@Cascade({ CascadeType.SAVE_UPDATE, CascadeType.MERGE })
 	private PolytomousKeyNode root;
+	
+	@XmlElement(name = "StartNumber")
+	private int startNumber = 1;
+	
 
 // ***************** STATIC METHODS ********************************/
 
@@ -140,7 +150,8 @@ public class PolytomousKey extends IdentifiableEntity<PolytomousKeyDefaultCacheS
 	 */
 	protected PolytomousKey() {
 		super();
-		root = PolytomousKeyNode.NewRootInstance();
+		root = PolytomousKeyNode.NewInstance();
+		root.setNodeNumber(getStartNumber());
 		root.setKey(this);
 		this.cacheStrategy = PolytomousKeyDefaultCacheStrategy.NewInstance();
 	}
@@ -287,9 +298,9 @@ public class PolytomousKey extends IdentifiableEntity<PolytomousKeyDefaultCacheS
 	 * Returns the set of {@link Scope scope restrictions} corresponding to
 	 * <i>this</i> identification key
 	 */
-	public Set<Scope> getScopeRestrictions() {
+	public Set<DefinedTerm> getScopeRestrictions() {
 		if (scopeRestrictions == null) {
-			this.scopeRestrictions = new HashSet<Scope>();
+			this.scopeRestrictions = new HashSet<DefinedTerm>();
 		}
 		return scopeRestrictions;
 	}
@@ -304,7 +315,7 @@ public class PolytomousKey extends IdentifiableEntity<PolytomousKeyDefaultCacheS
 	 *            identification key
 	 * @see #getScopeRestrictions()
 	 */
-	public void addScopeRestriction(Scope scopeRestriction) {
+	public void addScopeRestriction(DefinedTerm scopeRestriction) {
 		this.scopeRestrictions.add(scopeRestriction);
 	}
 
@@ -317,9 +328,27 @@ public class PolytomousKey extends IdentifiableEntity<PolytomousKeyDefaultCacheS
 	 * @see #getScopeRestrictions()
 	 * @see #addScopeRestriction(Scope)
 	 */
-	public void removeScopeRestriction(Scope scopeRestriction) {
+	public void removeScopeRestriction(DefinedTerm scopeRestriction) {
 		this.scopeRestrictions.remove(scopeRestriction);
 	}
+	
+
+	/**
+	 * The first number for the automated numbering of {@link PolytomousKeyNode key nodes}.
+	 * Default value is 1.
+	 * @return
+	 */
+	public int getStartNumber() {
+		return startNumber;
+	}
+
+	/**
+	 * @see #getStartNumber()
+	 * @param startNumber
+	 */
+	public void setStartNumber(int startNumber) {
+		this.startNumber = startNumber;
+	}
 
 	// ******************** toString *****************************************/
 
@@ -443,8 +472,7 @@ public class PolytomousKey extends IdentifiableEntity<PolytomousKeyDefaultCacheS
 	// return getRoot().getChildren();
 	// }
 
-	// *********************** CLONE
-	// ********************************************************/
+	// *********************** CLONE ************************************/
 
 	/**
 	 * Clones <i>this</i> PolytomousKey. This is a shortcut that enables to
@@ -473,8 +501,8 @@ public class PolytomousKey extends IdentifiableEntity<PolytomousKeyDefaultCacheS
 
 			result.root = (PolytomousKeyNode) this.root.clone();
 
-			result.scopeRestrictions = new HashSet<Scope>();
-			for (Scope scope : this.scopeRestrictions) {
+			result.scopeRestrictions = new HashSet<DefinedTerm>();
+			for (DefinedTerm scope : this.scopeRestrictions) {
 				result.addScopeRestriction(scope);
 			}
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKeyNode.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKeyNode.java
index 8de25cf6ca..3690d33538 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKeyNode.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKeyNode.java
@@ -248,7 +248,6 @@ public class PolytomousKeyNode extends VersionableEntity implements IMultiLangua
     @Cascade({ CascadeType.SAVE_UPDATE, CascadeType.MERGE })
 	private Map<Language, LanguageString> modifyingText = new HashMap<Language, LanguageString>();
 
-	public static final Integer ROOT_NODE_NUMBER = 1;
 	/**
 	 * Class constructor: creates a new empty feature node instance.
 	 */
@@ -263,16 +262,6 @@ public class PolytomousKeyNode extends VersionableEntity implements IMultiLangua
 		return new PolytomousKeyNode();
 	}
 
-	/**
-	 * Creates a new empty polytomous key node instance and sets the node number
-	 * to 0.
-	 */
-	public static PolytomousKeyNode NewRootInstance() {
-		PolytomousKeyNode result = new PolytomousKeyNode();
-		result.setNodeNumber(ROOT_NODE_NUMBER);
-		return result;
-	}
-
 	/**
 	 * Creates a new polytomous key node instance.
 	 * 
@@ -413,8 +402,9 @@ public class PolytomousKeyNode extends VersionableEntity implements IMultiLangua
 	 * @return 
 	 */
 	private int getMaxNodeNumberFromRoot() {
-		PolytomousKeyNode rootKeyNode = this.getKey().getRoot();		
-		return getMaxNodeNumber(ROOT_NODE_NUMBER, rootKeyNode);		
+		PolytomousKeyNode rootKeyNode = this.getKey().getRoot();	
+		int rootNumber = this.getKey().getStartNumber();
+		return getMaxNodeNumber(rootNumber, rootKeyNode);		
 	}
 	
 	/**
@@ -438,7 +428,7 @@ public class PolytomousKeyNode extends VersionableEntity implements IMultiLangua
 	 * 	 
 	 */
 	public void refreshNodeNumbering() {				
-		updateNodeNumbering(getKey().getRoot(), ROOT_NODE_NUMBER);
+		updateNodeNumbering(getKey().getRoot(), getKey().getStartNumber());
 	}
 	
 	/**
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PresenceAbsenceTermBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PresenceAbsenceTermBase.java
index 20e84afd1b..d8873ded5e 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PresenceAbsenceTermBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PresenceAbsenceTermBase.java
@@ -25,6 +25,7 @@ import org.hibernate.envers.Audited;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.OrderedTermBase;
+import eu.etaxonomy.cdm.model.common.TermType;
 
 
 /**
@@ -54,13 +55,13 @@ public abstract class PresenceAbsenceTermBase<T extends PresenceAbsenceTermBase<
 
     private String defaultColor = "000000";
 
+	
+//********************************** Constructor *******************************************************************/	
 
-    /**
-     * Class constructor: creates a new empty presence or absence term.
-     *
-     * @see #PresenceAbsenceTermBase(String, String, String)
-     */
-    protected PresenceAbsenceTermBase() {
+  	//for hibernate use only
+  	@Deprecated
+  	protected PresenceAbsenceTermBase() {
+    	super(TermType.PresenceAbsenceTerm);
     }
 
     /**
@@ -75,15 +76,17 @@ public abstract class PresenceAbsenceTermBase<T extends PresenceAbsenceTermBase<
      * @see 				 #PresenceAbsenceTermBase()
      */
     protected PresenceAbsenceTermBase(String term, String label, String labelAbbrev) {
-        super(term, label, labelAbbrev);
+        super(TermType.PresenceAbsenceTerm, term, label, labelAbbrev);
     }
+    
+//******************************** METHODS ****************************/    
 
     /* (non-Javadoc)
      * @see eu.etaxonomy.cdm.model.common.DefinedTermBase#readCsvLine(java.util.List)
      */
     @Override
-    public T readCsvLine(Class<T> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms) {
-        T newInstance = super.readCsvLine(termClass, csvLine, terms);
+    public T readCsvLine(Class<T> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms, boolean abbrevAsId) {
+        T newInstance = super.readCsvLine(termClass, csvLine, terms, abbrevAsId);
         String abbreviatedLabel = (String)csvLine.get(4);
 //		String uuid = (String)csvLine.get(0);
 //		map.put(abbreviatedLabel, UUID.fromString(uuid));
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/QuantitativeData.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/QuantitativeData.java
index 16585b8aab..1fbce38e79 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/QuantitativeData.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/QuantitativeData.java
@@ -33,6 +33,7 @@ import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 import org.hibernate.validator.constraints.NotEmpty;
 
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.validation.Level2;
 
 /**
@@ -284,7 +285,7 @@ public class QuantitativeData extends DescriptionElementBase implements Cloneabl
 	 * @return the newValue
 	 */
 	@Transient
-	public StatisticalMeasurementValue setMinimum(Float value, Set<Modifier> modifiers){
+	public StatisticalMeasurementValue setMinimum(Float value, Set<DefinedTerm> modifiers){
 		return setSpecificStatisticalValue(value, modifiers, StatisticalMeasure.MIN());
 	}
 
@@ -298,7 +299,7 @@ public class QuantitativeData extends DescriptionElementBase implements Cloneabl
 	 * @return the newValue
 	 */
 	@Transient
-	public StatisticalMeasurementValue setMaximum(Float value, Set<Modifier> modifiers){
+	public StatisticalMeasurementValue setMaximum(Float value, Set<DefinedTerm> modifiers){
 		return setSpecificStatisticalValue(value, modifiers, StatisticalMeasure.MAX());
 	}
 	
@@ -312,7 +313,7 @@ public class QuantitativeData extends DescriptionElementBase implements Cloneabl
 	 * @return the newValue
 	 */
 	@Transient
-	public StatisticalMeasurementValue setAverage(Float value, Set<Modifier> modifiers){
+	public StatisticalMeasurementValue setAverage(Float value, Set<DefinedTerm> modifiers){
 		return setSpecificStatisticalValue(value, modifiers, StatisticalMeasure.AVERAGE());
 	}
 
@@ -326,7 +327,7 @@ public class QuantitativeData extends DescriptionElementBase implements Cloneabl
 	 * @return the newValue
 	 */
 	@Transient
-	public StatisticalMeasurementValue setStandardDeviation(Float value, Set<Modifier> modifiers){
+	public StatisticalMeasurementValue setStandardDeviation(Float value, Set<DefinedTerm> modifiers){
 		return setSpecificStatisticalValue(value, modifiers, StatisticalMeasure.STANDARD_DEVIATION());
 	}
 
@@ -339,7 +340,7 @@ public class QuantitativeData extends DescriptionElementBase implements Cloneabl
 	 * @return the newValue
 	 */
 	@Transient
-	public StatisticalMeasurementValue setSampleSize(Float value, Set<Modifier> modifiers){
+	public StatisticalMeasurementValue setSampleSize(Float value, Set<DefinedTerm> modifiers){
 		return setSpecificStatisticalValue(value, modifiers, StatisticalMeasure.SAMPLE_SIZE());
 	}
 
@@ -353,7 +354,7 @@ public class QuantitativeData extends DescriptionElementBase implements Cloneabl
 	 * @return the newValue
 	 */
 	@Transient
-	public StatisticalMeasurementValue setTypicalLowerBoundary(Float value, Set<Modifier> modifiers){
+	public StatisticalMeasurementValue setTypicalLowerBoundary(Float value, Set<DefinedTerm> modifiers){
 		return setSpecificStatisticalValue(value, modifiers, StatisticalMeasure.TYPICAL_LOWER_BOUNDARY());
 	}
 
@@ -367,7 +368,7 @@ public class QuantitativeData extends DescriptionElementBase implements Cloneabl
 	 * @return the newValue
 	 */
 	@Transient
-	public StatisticalMeasurementValue setTypicalUpperBoundary(Float value, Set<Modifier> modifiers){
+	public StatisticalMeasurementValue setTypicalUpperBoundary(Float value, Set<DefinedTerm> modifiers){
 		return setSpecificStatisticalValue(value, modifiers, StatisticalMeasure.TYPICAL_UPPER_BOUNDARY());
 	}
 	
@@ -379,7 +380,7 @@ public class QuantitativeData extends DescriptionElementBase implements Cloneabl
 	 * @param value
 	 * @return the newValue
 	 */
-	public StatisticalMeasurementValue setSpecificStatisticalValue(Float value, Set<Modifier> modifiers, StatisticalMeasure type){
+	public StatisticalMeasurementValue setSpecificStatisticalValue(Float value, Set<DefinedTerm> modifiers, StatisticalMeasure type){
 		StatisticalMeasurementValue result = null;
 		if (value != null){
 			StatisticalMeasurementValue newValue = StatisticalMeasurementValue.NewInstance();
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/SpecimenDescription.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/SpecimenDescription.java
index dac87406eb..ff209032c9 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/SpecimenDescription.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/SpecimenDescription.java
@@ -67,9 +67,9 @@ public class SpecimenDescription extends DescriptionBase<IIdentifiableEntityCach
 	 * Creates a new empty specimen description instance.
 	 */
 	public static SpecimenDescription NewInstance(SpecimenOrObservationBase specimen){
-		SpecimenDescription result =  new SpecimenDescription();
-		result.addDescribedSpecimenOrObservation(specimen);
-		return result;
+		SpecimenDescription description =  new SpecimenDescription();
+		description.setDescribedSpecimenOrObservation(specimen);
+		return description;
 	}
 	
 //*********************** CLONE ********************************************************/
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/State.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/State.java
index 9200214b1c..17adce0b8d 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/State.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/State.java
@@ -26,6 +26,7 @@ import org.hibernate.search.annotations.Indexed;
 
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.OrderedTermBase;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 
 /**
@@ -50,13 +51,13 @@ public class State extends OrderedTermBase<State> {
 
 	protected static Map<UUID, State> termMap = null;	
 	
-	// ************* CONSTRUCTORS *************/	
-	/** 
-	 * Class constructor: creates a new empty state.
-	 * 
-	 * @see #State(String, String, String)
-	 */
-	public State() {
+	
+//********************************** Constructor *******************************************************************/	
+
+	//for hibernate use only
+	@Deprecated
+	protected State() {
+		super(TermType.State);
 	}
 
 	/** 
@@ -70,8 +71,8 @@ public class State extends OrderedTermBase<State> {
 	 * 						 new state to be created
 	 * @see 				 #State()
 	 */
-	public State(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
+	private State(String term, String label, String labelAbbrev) {
+		super(TermType.State, term, label, labelAbbrev);
 	}
 	
 	//********* METHODS **************************************/
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StateData.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StateData.java
index 3489f0e473..8259d29904 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StateData.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StateData.java
@@ -43,6 +43,7 @@ import org.hibernate.search.annotations.IndexedEmbedded;
 import eu.etaxonomy.cdm.hibernate.search.DefinedTermBaseClassBridge;
 import eu.etaxonomy.cdm.hibernate.search.MultilanguageTextFieldBridge;
 import eu.etaxonomy.cdm.jaxb.MultilanguageTextAdapter;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.IMultiLanguageTextHolder;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
@@ -89,7 +90,7 @@ public class StateData extends VersionableEntity implements IModifiable, IMultiL
     @Cascade({CascadeType.SAVE_UPDATE, CascadeType.MERGE})
     @IndexedEmbedded(depth=1)
 //	@NotNull // avoids creating a UNIQUE key for this field -> not needed for ManyToMany
-    private Set<Modifier> modifiers = new HashSet<Modifier>();
+    private Set<DefinedTerm> modifiers = new HashSet<DefinedTerm>();
 
     @XmlElement(name = "ModifyingText")
     @XmlJavaTypeAdapter(MultilanguageTextAdapter.class)
@@ -151,7 +152,7 @@ public class StateData extends VersionableEntity implements IModifiable, IMultiL
      * Returns the set of {@link Modifier modifiers} used to qualify the validity
      * of <i>this</i> state data. This is only metainformation.
      */
-    public Set<Modifier> getModifiers(){
+    public Set<DefinedTerm> getModifiers(){
         return this.modifiers;
     }
 
@@ -162,7 +163,7 @@ public class StateData extends VersionableEntity implements IModifiable, IMultiL
      * @param modifier	the modifier to be added to <i>this</i> state data
      * @see    	   		#getModifiers()
      */
-    public void addModifier(Modifier modifier){
+    public void addModifier(DefinedTerm modifier){
         this.modifiers.add(modifier);
     }
     /**
@@ -173,7 +174,7 @@ public class StateData extends VersionableEntity implements IModifiable, IMultiL
      * @see     		#getModifiers()
      * @see     		#addModifier(Modifier)
      */
-    public void removeModifier(Modifier modifier){
+    public void removeModifier(DefinedTerm modifier){
         this.modifiers.remove(modifier);
     }
 
@@ -288,8 +289,8 @@ public class StateData extends VersionableEntity implements IModifiable, IMultiL
             StateData result = (StateData)super.clone();
 
             //modifiers
-            result.modifiers = new HashSet<Modifier>();
-            for (Modifier modifier : getModifiers()){
+            result.modifiers = new HashSet<DefinedTerm>();
+            for (DefinedTerm modifier : getModifiers()){
                 result.modifiers.add(modifier);
             }
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StatisticalMeasure.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StatisticalMeasure.java
index 8bac64c4b4..b4e95d2540 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StatisticalMeasure.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StatisticalMeasure.java
@@ -25,6 +25,7 @@ import org.hibernate.search.annotations.Indexed;
 
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 
 /**
@@ -34,7 +35,6 @@ import eu.etaxonomy.cdm.model.common.TermVocabulary;
  * described with numerical values (like for instance weights or temperature).
  * 
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:54
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -60,19 +60,8 @@ public class StatisticalMeasure extends DefinedTermBase<StatisticalMeasure> {
 	private static final UUID uuidTypicalUpperBoundary = UUID.fromString("9eff88ba-b8e7-4631-9e55-a50bd16ba79d");
 	private static final UUID uuidStandardDeviation = UUID.fromString("9ee4397e-3496-4fe1-9114-afc7d7bdc652");
 
-	// ************* CONSTRUCTORS *************/	
-	/** 
-	 * Class constructor: creates a new empty statistical measure instance.
-	 * 
-	 * @see #StatisticalMeasure(String, String, String)
-	 */
-	public StatisticalMeasure() {
-	}
-	public StatisticalMeasure(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
-	}
 
-	//********* METHODS **************************************/
+	//********* FACTORY METHODS **************************************/
 	/** 
 	 * Creates a new empty statistical measure instance.
 	 * 
@@ -98,6 +87,18 @@ public class StatisticalMeasure extends DefinedTermBase<StatisticalMeasure> {
 	}	
 	
 	
+//********************************** Constructor *******************************************************************/	
+
+	//for hibernate use only
+	@Deprecated
+	protected StatisticalMeasure() {
+		super(TermType.StatisticalMeasure);
+	}
+	private StatisticalMeasure(String term, String label, String labelAbbrev) {
+		super(TermType.StatisticalMeasure, term, label, labelAbbrev);
+	}
+	
+	
 //************************** METHODS ********************************
 	
 	/* (non-Javadoc)
